# kdeui Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KIntValidator Class Reference

QValidator for integers. More...

`#include <knumvalidator.h>`

Inheritance diagram for KIntValidator:

[legend]
Collaboration diagram for KIntValidator:

[legend]
List of all members.

## Public Member Functions

| KIntValidator (QWidget *parent, int base=10, const char *name=0)
| KIntValidator (int bottom, int top, QWidget *parent, int base=10, const char *name=0)
virtual | ~KIntValidator ()
virtual State | validate (QString &, int &) const
virtual void | fixup (QString &) const
virtual void | setRange (int bottom, int top)
virtual void | setBase (int base)
virtual int | bottom () const
virtual int | top () const
virtual int | base () const

## Detailed Description

QValidator for integers.

This can be used by QLineEdit or subclass to provide validated text entry. Can be provided with a base value (default is 10), to allow the proper entry of hexadecimal, octal, or any other base numeric data.

Author:
  Glen Parker <glenebob@nwlink.com>

Version:
  0.0.1

Definition at line 44 of file knumvalidator.h.

## Constructor & Destructor Documentation

KIntValidator::KIntValidator | ( | QWidget * | parent,
|  | int | base = `10`,
|  | const char * | name = `0`
| ) |

| Constuctor. Also sets the base value. Definition at line 37 of file knumvalidator.cpp.

KIntValidator::KIntValidator | ( | int | bottom,
|  | int | top,
|  | QWidget * | parent,
|  | int | base = `10`,
|  | const char * | name = `0`
| ) |

| Constructor. Also sets the minimum, maximum, and numeric base values. Definition at line 47 of file knumvalidator.cpp.

KIntValidator::~KIntValidator | ( |  | ) | `[virtual]`

| Destructs the validator. Definition at line 57 of file knumvalidator.cpp.

## Member Function Documentation

QValidator::State KIntValidator::validate | ( | QString & | ,
|  | int & |
| ) | const`[virtual]`

| Validates the text, and return the result. Does not modify the parameters. Reimplemented from QValidator. Definition at line 60 of file knumvalidator.cpp. References QString::length(), QString::stripWhiteSpace(), QString::toInt(), and QString::upper(). Referenced by fixup().

void KIntValidator::fixup | ( | QString & |  | ) | const`[virtual]`

| Fixes the text if possible, providing a valid string. The parameter may be modified. Reimplemented from QValidator. Definition at line 94 of file knumvalidator.cpp. References QString::setNum(), QString::toInt(), and validate().

void KIntValidator::setRange | ( | int | bottom,
|  | int | top
| ) | `[virtual]`

| Sets the minimum and maximum values allowed. Definition at line 116 of file knumvalidator.cpp.

void KIntValidator::setBase | ( | int | base | ) | `[virtual]`

| Sets the numeric base value. Definition at line 125 of file knumvalidator.cpp.

int KIntValidator::bottom | ( |  | ) | const`[virtual]`

| Returns the current minimum value allowed. Definition at line 131 of file knumvalidator.cpp.

int KIntValidator::top | ( |  | ) | const`[virtual]`

| Returns the current maximum value allowed. Definition at line 136 of file knumvalidator.cpp.

int KIntValidator::base | ( |  | ) | const`[virtual]`

| Returns the current numeric base. Definition at line 141 of file knumvalidator.cpp.

The documentation for this class was generated from the following files:

- knumvalidator.h
- knumvalidator.cpp

This file is part of the documentation for kdeui Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:21:28 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003